<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        Label1.Text = Calendar1.SelectedDate.ToShortDateString();
    }

    protected void Calendar1_SelectionChanged(object sender, EventArgs e) {
	StringBuilder sb=new StringBuilder();
	foreach (DateTime dt in Calendar1.SelectedDates) {
		sb.Append("<br/>" + dt.ToShortDateString());
	}
	Label1.Text = sb.ToString();
}

</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
   <form id="form1" runat="server">
	<div>
		
	    <asp:Calendar ID="Calendar1" runat="server" 
            onselectionchanged="Calendar1_SelectionChanged"></asp:Calendar>
		
	    <asp:Label ID="Label1" runat="server" Text="Label"></asp:Label>
		
	</div>
</form>

</body>
</html>
